#ifndef _formbrowser_h_
#define _formbrowser_h_
// ---------------------------------------------------------------------------
// FormBrowser.h
// Contains PalmOS specific code, main Browser form
// 
// Project: WAPUniverse for PalmOS
// Copyright  1999-2000 Filip Onkelinx
//
// http://www.wapuniverse.com/
// filip@onkelinx.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
//
// 
// $Workfile: formBrowser.h $  
// $Author: wapuniverse $  
// $Date: 2000/11/11 20:51:09 $
// $Revision: 1.9 $
// 
// $Header: /cvsroot/wapuniverse/wapuniverse/src/formBrowser.h,v 1.9 2000/11/11 20:51:09 wapuniverse Exp $
// 
// -------------------------------------------------------------------------------

#include    <PalmOS.h>
#include    <SysEvtMgr.h>
#include    "WAPUniverse.h"
#include    "wsp.h"



Boolean ehFormBrowser(EventPtr event);
extern void palmprintln(GlobalsType *g);
extern void palmprintf(char *str, GlobalsType *g);
extern void palmsrcprintf(char *str, GlobalsType *g);
extern void palmDrawImage(WSPPDU *wsppdu, GlobalsType *g);
extern void palmUnderline(Boolean ison);
extern void palmBold(Boolean isong);
extern void palmHyperLink(Boolean ison, Char *prefix, Char *url, GlobalsType *g);
extern void palmGetPos(int* posx, int* posy, GlobalsType *g);
extern void palmWmlInput(Char *fieldName, GlobalsType *g);
extern void palmWmlInputValue(Char *value, GlobalsType *g);
extern void palmWmlSelectOptionTxt(Char *txt, GlobalsType *g);
extern void palmWmlSelect(Char *name, GlobalsType *g);
extern void palmWmlSelectValue(Char *ivalue, GlobalsType *g);
extern void palmWmlSelectOption(Char *value, GlobalsType *g);
extern void palmWmlSelectEnd(GlobalsType *g);
extern Boolean browserReloadEvt(GlobalsType *g);
extern Boolean browserStopEvt(GlobalsType *g);
extern Boolean browserSrcEvt(GlobalsType *g);
extern Boolean browserURLsEvt();
extern Boolean browserBackEvt(GlobalsType *g);



#endif
