#ifndef _menuhnd_h_
#define _menuhnd_h_
// ---------------------------------------------------------------------------
// MenuHnd.h
// Contains PalmOS specific code, for MenuHandlers
// 
// Project: WAPUniverse for PalmOS
// Copyright  1999-2000 Filip Onkelinx
//
// http://www.wapuniverse.com/
// filip@onkelinx.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
//
// 
// $Workfile: MenuHnd.h $  
// $Author: wapuniverse $  
// $Date: 2000/11/11 20:51:09 $     
// $Revision: 1.5 $
// 
// $Header: /cvsroot/wapuniverse/wapuniverse/src/MenuHnd.h,v 1.5 2000/11/11 20:51:09 wapuniverse Exp $
// 
// -----------------------------------------------------------------------------
#include <PalmOS.h>

/**************************************/
/** Menu Handler Functions           **/
/**************************************/

Int16 mhMenuOptions(UInt16 menuID, GlobalsType *g);
Int16 mhMenuEdit(UInt16 menuID);
Boolean mhMenuView(UInt16 menuID, GlobalsType *g);


#endif