#ifndef _palmutils_h_
#define _palmutils_h_
// ---------------------------------------------------------------------------
// PalmUtils.h
// Contains generic PalmOS code snippets
// 
// Project: WAPUniverse for PalmOS
// Copyright  1999-2000 Filip Onkelinx
//
// http://www.wapuniverse.com/
// filip@onkelinx.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
//
// 
// $Workfile: PalmUtils.h $  
// $Author: wapuniverse $  
// $Date: 2000/11/11 20:51:09 $     
// $Revision: 1.4 $
// 
// $Header: /cvsroot/wapuniverse/wapuniverse/src/PalmUtils.h,v 1.4 2000/11/11 20:51:09 wapuniverse Exp $
// 
// -------------------------------------------------------------------------------
#include    <PalmOS.h>

void *GetObjectPtr (UInt16 objectID);
void DrawCharsToFitWidth (char* s, RectanglePtr r, char c);
FieldPtr GetFocusObjectPtr (void);
void SetFieldFromStr(const Char *srcP , UInt16 fieldIndex);

#endif