#ifndef _dbconn_h_
#define _dbconn_h_
//---------------------------------------------------------------------------
// dbConn
//
// Project: WAPUniverse for PalmOS
// Copyright  1999-2000 Filip Onkelinx
//
// http://www.wapuniverse.com/
// filip@onkelinx.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
//
//
// $Workfile: dbConn.h $  
// $Author: wapuniverse $  
// $Date: 2000/11/11 20:51:09 $     
// $Revision: 1.8 $
//
// $Header: /cvsroot/wapuniverse/wapuniverse/src/dbConn.h,v 1.8 2000/11/11 20:51:09 wapuniverse Exp $
//
//---------------------------------------------------------------------------

#include "wapuniverse.h"

#define dbConnDBType   		'ConW'          // type for application database.  must be 4 chars, mixed case.
#define dbConnDBName   		"ConDb-gWAP"    // name for application database.  up to 31 characters.
#define dbConnNewConnSize	6       		// initial size for new database record.
#define SEC_1  __attribute__ ((section ("sec_1")))



void dbConnPackConnection (dbConnConnection * conn, MemHandle connDBEntry) SEC_1;
void dbConnUnPackConnection (dbConnConnection * conn, dbConnPackedConnection * packedConnection) SEC_1;
void dbConnOpenOrCreateDB(UInt16 mode, GlobalsType *g) SEC_1;
Boolean dbConnCreateRecord (GlobalsType *g) SEC_1;
Boolean dbConnDeleteCurrentRecord ( GlobalsType *g) SEC_1;
Err dbConnSortRecord (DmOpenRef dbP, UInt16 *indexP) SEC_1;
void dbConnReadCurrentConnection (GlobalsType *g) SEC_1;
void dbConnGetConnectionsList (GlobalsType *g) SEC_1;
void dbConnDisposeConnectionsList(GlobalsType *g) SEC_1;
void dbConnGetConnection(char *connstr, dbConnConnection *conn, GlobalsType *g) SEC_1;
UInt16 dbConnNumRecords(GlobalsType *g) SEC_1;

#endif
