#ifndef _dburl_h_
#define _dburl_h_
//---------------------------------------------------------------------------
// dbUrl.h
//
// Project: WAPUniverse for PalmOS
// Copyright  1999-2000 Filip Onkelinx
//
// http://www.wapuniverse.com/
// filip@onkelinx.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
//
//
// $Workfile: dbUrl.h $  
// $Author: wapuniverse $  
// $Date: 2000/11/11 20:51:09 $     
// $Revision: 1.8 $
//
// $Header: /cvsroot/wapuniverse/wapuniverse/src/dbUrl.h,v 1.8 2000/11/11 20:51:09 wapuniverse Exp $
//
//---------------------------------------------------------------------------

#include "WAPuniverse.h"

#define SEC_1  __attribute__ ((section ("sec_1")))

#define dbUrlDBType   		'UrlW'          // type for application database.  must be 4 chars, mixed case.
#define dbUrlDBName   		"UrlDb-gWAP"    // name for application database.  up to 31 characters.
#define dbUrlNewURLSize	6       		// initial size for new database record.



void 	dbUrlPackURL (dbUrlURL * url, MemHandle urlDBEntry) SEC_1 ;
void 	dbUrlUnPackURL (dbUrlURL * url, dbUrlPackedURL *packedURL) SEC_1 ;
Boolean dbUrlCreateRecord (GlobalsType *g) SEC_1;
void 	dbUrlReadCurrentUrl (GlobalsType *g) SEC_1;
Err 	dbUrlSortRecord (DmOpenRef dbP, UInt16 *indexP) SEC_1;
Boolean dbUrlDeleteCurrentRecord (GlobalsType *g) SEC_1;
Err 	dbUrlInitAppInfo (DmOpenRef dbP, GlobalsType *g) SEC_1;
void    dbUrlOpenOrCreateDB(UInt16 mode, GlobalsType *g) SEC_1;
UInt16 	dbUrlNumRecords(GlobalsType *g) SEC_1;

#endif
